Subject: Re: [saag] Proposal to Consolidate Algorithms Registries

From: Peter Gutmann <[email-masked]>
Date: Wed, 16 Nov 2011 10:57:59 +0000

Phillip Hallam-Baker <[email-masked]> writes:

>There is no shortage of cryptographic algorithms. I can't see why TLS should
>even spend the time considering Camellia if there was any doubt about the
>ability to use it in IPSEC.

The situation with Camellia (and several others) is even messier than that.
These are present in protocols purely as fashion statements, so there's no
easy way you can make any technical statements about them ("this algorithm is
used here because ..." or "... not used here because ...").  OTOH it's also
unlikely that their contributors are going to be happy having them listed in
some registry as "present in order to make a fashion statement" (NB: "Present
because the government of Elbonia mandates it for use in Elbonia" is just a
roundabout way of saying that it's a fashion-statement algorithm, so that
doesn't work as an excuse either).

I have no idea how you'd deal with this once you start going beyond the
currently-employed ostrich algorithm.

Peter.

---

From: Thomas Hardjono <[email-masked]>
Date: Thu, 17 Nov 2011 21:32:34 +0000

>> From: [email-masked] [mailto:[email-masked]] On 
>> Behalf Of Phillip Hallam-Baker
>> Sent: Wednesday, November 16, 2011 9:24 PM
>> To: Simon Josefsson
>> Cc: [email-masked]
>> Subject: Re: [saag] Proposal to Consolidate Algorithms Registries
>>
>> On Wed, Nov 16, 2011 at 2:27 AM, Simon Josefsson 
>> <[email-masked]> wrote:
<cut>
>>
>> > What I am proposing instead is a low bar to making Camellia an
option in
>> > any IETF protocol. I believe this to be a Pareto improvement as
follows:
>> >
>> > * The developers of Camellia can get their algorithm enabled as
an option
>> > in all IETF protocols in a single operation.
>>
>> The situation with Camellia has another angle to it: the patent
>> statements about it only applies to specific protocols, and there
are
>> now statements for (at least) TLS and Kerberos.  If Camellia is to
be
>> considered for any other protocol, a new patent disclosure is
required.

I believe NTT is open to granting an IETF-wide patent disclosure for
Camellia that would cover the all of the working-groups in the IETF
(so that it does not have to be granted for each and every WG
separately).

Question to Security-ADs and IETF-admin:  Is there a "template" IETF
IP statement or example IP statement that the NTT folks could use? 

(This would help very much in getting the paperwork through the NTT
patent office).

Thanks.

/thomas/

__________________________________________